﻿using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;
using System.ServiceModel.DomainServices.Client;
using Telerik.Windows.Controls.DomainServices;
using SilverlightApplication1.Web.Services;
using System;
using SilverlightApplication1.Web.Models;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		private DateTime startTime;
		CustomersViewModel cvm;

		public MainPage()
		{
			InitializeComponent();

			this.radGridView.Items.DescriptorsSynchronizationMode = SynchronizationMode.OneWayToSource;
			this.radGridView.RowEditEnded += new EventHandler<GridViewRowEditEndedEventArgs>(radGridView_RowEditEnded);
		}

		void radGridView_RowEditEnded(object sender, GridViewRowEditEndedEventArgs e)
		{
			this.cvm.View.CancelNew();
		}

		private void RadButton_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			this.cvm = this.radGridView.DataContext as CustomersViewModel;
			this.cvm.View.AddNew(new Customer()
			{
				Country = "Italy"
			});
		}
	}
}
